item_type.hpp File Reference
`#include <cassert>`
`#include <cstdint>`
`#include <iosfwd>`
`#include <stdexcept>`
Include dependency graph for item_type.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | osmium::unknown_type

## Namespaces

| osmium
| Namespace for everything in the Osmium library.

## Enumerations

enum

osmium::item_type : uint16_t {
osmium::item_type::undefined = 0x00, osmium::item_type::node = 0x01, osmium::item_type::way = 0x02, osmium::item_type::relation = 0x03,
osmium::item_type::area = 0x04, osmium::item_type::changeset = 0x05, osmium::item_type::tag_list = 0x11, osmium::item_type::way_node_list = 0x12,
osmium::item_type::relation_member_list = 0x13, osmium::item_type::relation_member_list_with_full_members = 0x23, osmium::item_type::outer_ring = 0x40, osmium::item_type::inner_ring = 0x41,
osmium::item_type::changeset_discussion = 0x80
}

## Functions

item_type | osmium::nwr_index_to_item_type (unsigned int i) noexcept
unsigned int | osmium::item_type_to_nwr_index (item_type type) noexcept
item_type | osmium::char_to_item_type (const char c) noexcept
char | osmium::item_type_to_char (const item_type type) noexcept
const char * | osmium::item_type_to_name (const item_type type) noexcept
template<typename TChar , typename TTraits >
std::basic_ostream< TChar, TTraits > & | osmium::operator<< (std::basic_ostream< TChar, TTraits > &out, const item_type item_type)